Verify an applicant's email using a verification code.
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}/verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verificationCode": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}/verification"
payload = { "verificationCode": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({verificationCode: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isVerified": true
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Applications
Verify an applicant's email using a verification code.
Verifies an email verification code for a bank account application.
Token types: APP | Required scopes: bank_account_application:write:org
POST
/
embedded-banking
/
v1
/
bank-account-applications
/
{id}
/
verification
Verify an applicant's email using a verification code.
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The application ID.
Body
application/jsonapplication/*+json
Request model for verifying an applicant's email verification code.
The email verification code sent to the applicant.
Response
Email verified successfully.
Response model for email verification.
Indicates whether the email verification was successful.
Was this page helpful?
⌘I